> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flashmapy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Job

> This endpoint creates a new job.

### Header

<ParamField header="x-api-key" type="string" required={true}>
  This parameter specifies the private key you'll need for Flashmapy access.
</ParamField>

### Body

<ParamField body="group_name" type="string" default={"API"}>
  This parameter specifies the group ID you want to create the job in.
</ParamField>

<ParamField body="keyword" type="string" required={true}>
  This parameter specifies the keyword you want to search for.
</ParamField>

<ParamField body="sort_by" type="string">
  You can sort by any field, such as `reviews`, `main_category`, `title`, `rating`, or any other field.
</ParamField>

<ParamField body="sort_order" type="string">
  This parameter specifies the sort order. You can sort by `asc` or `desc`.
</ParamField>

<ParamField body="min_rating" type="integer">
  This parameter specifies the minimum rating you want to search for.
</ParamField>

<ParamField body="min_reviews" type="integer">
  This parameter specifies the minimum reviews you want to search for.
</ParamField>

<ParamField body="max_reviews" type="integer">
  This parameter specifies the maximum reviews you want to search for.
</ParamField>

<ParamField body="has_phone" type="boolean">
  This parameter specifies whether you want to search for businesses with a phone number.
</ParamField>

<ParamField body="has_website" type="boolean">
  This parameter specifies whether you want to search for businesses with a website.
</ParamField>

### Response

<ResponseField name="job_id" type="string">
  This parameter specifies the ID of the job you created.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request POST 'https://app.flashmapy.com/api/v1/jobs' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: Token <token>' \
  --data-raw '{
      "keyword": "restaurants in new york",
      "group_name": "API",
      "sort_by": "rating",
      "sort_order": "desc",
      "min_rating": 4,
      "min_reviews": 100,
      "max_reviews": 1000,
      "has_phone": true,
      "has_website": true
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "job_id": "018b1e9c-4c91-8b41-7a23-194757ee0a59"
  }
  ```
</ResponseExample>
